#include <bits/stdc++.h>

using namespace std;

int main()
{
    string unos;
    int a1,a2;
    cin >> unos;
    cin >> a1 >> a2;
    if(abs(a1-a2) > 1)
    {
        cout << "nemoguce" << endl;
    }
    else
    {
        int ma = min(a1,a2);
        string res = "";
        for(int i = 0;i<ma;i++)
        {
             res += unos;
        }
        if(a1 > a2)
        {
            res += unos[0];
        }
        else if(a2>a1)
        {
            res.insert(res.begin(),unos[1]);
        }
        cout << res << endl;
    }
    return 0;
}